Update Contact Status in a Sequence

Endpoint essentials
API key accessapi/v1/emailer_campaigns/remove_or_stop_contact_ids or Master API key
OAuth scopesemailer_campaigns_remove_or_stop_contact_ids
Credit usage0 credits
Learn more about API pricing and credits.

Sequences are outreach campaigns that sales teams use to reach out to contacts over a planned period of time.

Use the Update Contact Status in a Sequence endpoint to either mark contacts as having finished a sequence, or to remove them from a sequence entirely.

Query Params
emailer_campaign_ids[]
array of strings
required

The Apollo IDs for the sequences that you want to update. If you add multiple sequences, you will update the status of the contacts across the chosen sequences.

To find sequence IDs, call the Search for Sequences endpoint and identify the id value for the sequence.

Example: 66e9e215ece19801b219997f

emailer_campaign_ids[]*
contact_ids[]
array of strings
required

The Apollo IDs for the contacts in the sequences. These are the contacts whose sequence status you want to update.

To find contact IDs, call the Search for Contacts endpoint and identify the id value for the contact.

Example: 66e34b81740c50074e3d1bd4

contact_ids[]*
string
required

Choose 1 of the following options to update the sequence status of the contacts:

  • mark_as_finished: Mark the contacts as having finished the sequence.
  • remove: Remove the contacts from the sequence.
  • stop: Indicate that the contacts progress in the sequence has halted.

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
text/plain